Bug 1974877 - [release-4.8] Add egress ips to anonymizer to 4.8
Summary: [release-4.8] Add egress ips to anonymizer to 4.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.z
Assignee: Serhii Zakharov
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1975947
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-22 17:05 UTC by Serhii Zakharov
Modified: 2021-08-16 18:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Add egress ips support to anonymizer to 4.8
Clone Of:
Environment:
Last Closed: 2021-08-16 18:32:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 462 0 None open [release-4.8] Bug 1974877: Add egress ips to anonymizer to 4.8 2021-06-25 10:42:38 UTC
Red Hat Product Errata RHBA-2021:3121 0 None None None 2021-08-16 18:32:28 UTC

Description Serhii Zakharov 2021-06-22 17:05:03 UTC
Add egress ips support to anonymizer to 4.8

Comment 2 Dmitry Misharov 2021-08-06 12:27:25 UTC
Verified on 4.8.0-0.nightly-2021-08-05-031749.

Verification steps:

1. Add egress IP to openshift-monitoring netnamespace
oc patch netnamespace openshift-monitoring --type=merge -p '{"egressIPs": ["192.168.1.100"]}'
2. enable obfuscation

expected result:
1.
config/netnamespaces.yaml contains the egress IP
{"name":"openshift-monitoring","egressIPs":["192.168.1.100"],"netID":788919}
2.
config/netnamespaces.yaml contains obfuscated egress IP
{"name":"openshift-monitoring","egressIPs":["0.0.0.0"],"netID":788919}

Comment 5 errata-xmlrpc 2021-08-16 18:32:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.5 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3121


Note You need to log in before you can comment on or make changes to this bug.